
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <stdio.h>

@interface Calculator:NSObject
{
	id	calculatorWindow;
    id	keyClassCount;
    id	personCount;
    id	personDayPerClass;
	id	experienceRatioScroll;
	id	reusableDomainObjectsScroll;
	id	userInterfaceComplexityRadios;
    id	totalMonths;
    id	totalPersonDays;
	id	totalClassCount;
	float	experienceRatio;
	float	reusableDomainObjects;
	float	userInterfaceComplexity;
	NSString*	filename;
}
	- init;

	- setExperienceRatio:sender;
	- setKeyClassCount:sender;
	- setPersonCount:sender;
	- setReusableDomainObjects:sender;
	- setUserInterfaceComplexity:sender;
	
	- (float)keyClassCount;
	- (float)personCount;
	- (float)reusableDomainObjects;
	- (float)userInterfaceComplexity;
	- (float)experienceRatio;
	
	- compute:sender;
	- resetData;
	- windowDidBecomeMain:sender;
	- appDidInit:sender;
	
	- reset:sender;
	- load:sender;
	- save:sender;
	- saveAs:sender;
	-(void)setFileName:(NSString*)fname;
	
@end


@interface Calculator(Protected)

	-(void)buildWindow;
	-(NSMenu*)makeMenu;

@end //Calculator(Protected).