
#import <appkit/appkit.h>
#import <stdio.h>

@interface Calculator:Object
{
	id	calculatorWindow;
    id	keyClassCount;
    id	personCount;
    id	personDayPerClass;
	id	experienceRatioScroll;
	id	reusableDomainObjectsScroll;
	id	userInterfaceComplexityRadios;
    id	totalMonths;
    id	totalPersonDays;
	id	totalClassCount;
	float	experienceRatio;
	float	reusableDomainObjects;
	float	userInterfaceComplexity;
	char*	filename;
}
	- init;
	
	- setExperienceRatio:sender;
	- setKeyClassCount:sender;
	- setPersonCount:sender;
	- setReusableDomainObjects:sender;
	- setUserInterfaceComplexity:sender;
	
	- (float)keyClassCount;
	- (float)personCount;
	- (float)reusableDomainObjects;
	- (float)userInterfaceComplexity;
	- (float)experienceRatio;
	
	- compute:sender;
	- resetData;
	- windowDidBecomeMain:sender;
	- appDidInit:sender;
	
	- reset:sender;
	- load:sender;
	- save:sender;
	- saveAs:sender;
	-(void)setFileName:(const char*)fname;
	
@end
